
package com.tmerclub.cloud.auth.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用于登陆传递账号密码
 *
 * @author tmerclub
 * @date 2021/01/19
 */
public class BindSocialDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotBlank
    @Schema(description = "尝试社交登录的时候返回的tempUid", requiredMode = Schema.RequiredMode.REQUIRED)
    private String tempUid;

    @NotBlank
    @Schema(description = "校验账号，邮箱 or 手机号", requiredMode = Schema.RequiredMode.REQUIRED)
    private String validAccount;

    @Schema(description = "验证码")
    private String validCode;

    public String getTempUid() {
        return tempUid;
    }

    public void setTempUid(String tempUid) {
        this.tempUid = tempUid;
    }

    public String getValidAccount() {
        return validAccount;
    }

    public void setValidAccount(String validAccount) {
        this.validAccount = validAccount;
    }

    public String getValidCode() {
        return validCode;
    }

    public void setValidCode(String validCode) {
        this.validCode = validCode;
    }

    @Override
    public String toString() {
        return "BindSocialDTO{" +
                "tempUid='" + tempUid + '\'' +
                ", validAccount='" + validAccount + '\'' +
                ", validCode='" + validCode + '\'' +
                '}';
    }
}
